import Request from '../common/request.js';
let request = new Request().http
 
 export function loginByMiniApp(data) {
 	 return request('/app/wx/loginByMiniApp',data,'POST','application/json;charset=UTF-8');
 }
 export function loginByMp(data) {
 	 return request('/app/wx/loginByMp',data,'POST','application/json;charset=UTF-8');
 }
 export function getUserInfo() {
 	 return request('/app/user/getUserInfo',null,'GET');
 }
 
 export function editUser(data) {
 	return request('/app/user/editUser',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getWeixinInfo(data) {
 	return request('/app/wx/getWeixinInfo',data,'POST','application/json;charset=UTF-8');
 }
 export function checkLogin() {
 	 return request('/app/user/checkLogin',null,'GET');
 }
 export function getTuiImg() {
 	 return request('/app/user/getTuiImg',null,'GET');
 }
 export function getMyTuiOrderList(data) {
 	 return request('/app/user/getMyTuiOrderList',data,'GET');
 }
 export function getTuiMoney() {
 	 return request('/app/user/getTuiMoney',null,'GET');
 }
 export function getMyTuiList(data) {
 	 return request('/app/user/getMyTuiList',data,'GET');
 }
 export function getTuiMoneyLogs(data) {
 	 return request('/app/user/getTuiMoneyLogs',data,'GET');
 }
 
 export function getProductFoots(data) {
 	 return request('/app/user/getProductFoots',data,'GET');
 }
 export function delProductFoots(data) {
 	 return request('/app/user/delProductFoots',data,'POST','application/json;charset=UTF-8');
 }
 
 export function doExtract(data) {
 	 return request('/app/user/doExtract',data,'POST','application/json;charset=UTF-8');
 }
 export function getExtractList(data) {
 	 return request('/app/user/getExtractList',data,'GET');
 }
 export function applyPromoter(data) {
 	 return request('/app/user/applyPromoter',data,'POST','application/json;charset=UTF-8');
 }
 export function bindPromoter(data) {
 	 return request('/app/user/bindPromoter',data,'POST','application/json;charset=UTF-8');
 }
 //获取跳转配置
 export function getConfigByKey(data) {
 	 return request('/app/common/getConfigByKey',data,'GET');
 }
 
 
 
 
 
 
 
 
 
 